﻿test("Function.bind",
            (function () {
                return 1;
            }).bind({})() == 1
            && (function () {
                return this.name;
            }).bind({ name: 1 })() == 1
            && (function (a) {
                return this.name + a;
            }).bind({ name: 1 },1)() == 2);

/* 框架测试 */
(function (wod) {
    test("框架注册", !!wod && !!wod.CLS);
    test("注册名称空间", !!wod.CLS.getNS("mini.ui") && !!mini.ui && wod.CLS.getNS("mini.ui") == mini.ui);
    test("注册类", !!wod.CLS.getClass("mini.ui.TextBox") && !!mini.ui.TextBox);

    mini.ui.TextBox.prototype.getText = function () {
        return "abc";
    };

    test("继承类", !!wod.CLS.getClass("mini.ui.SubTextBox", "mini.ui.TextBox")
        && !!mini.ui.SubTextBox
        && mini.ui.SubTextBox.isSubclassOf(mini.ui.TextBox));

    test("继承类-继承方法验证1", function (msgWrite) {
        var sub = new mini.ui.SubTextBox();
        return sub.getText && sub.getText() == "abc";
    });

    test("继承类-继承方法验证2", function (msgWrite) {
        var subCLS = wod.CLS.getClass({
            getText: function () {
                return "h" + this.parent();
            },
            hh: function () {
                return this.getText();
            }
        }, "mini.ui.SubTextBox1", "mini.ui.SubTextBox");
        var sub = new subCLS();
        return sub.getText && sub.getText() == "habc" && sub.hh;
    });
})(wod);