﻿(function (window, body) {
    var trp = window.document.createElement("div");
    if (body) {
        body.appendChild(trp);
    }
    else {
        window.addEventListener("load", function () {
            window.document.body.appendChild(trp);
        });
    }
    function writeResult(panel, msg) {
        var result = window.document.createElement("div");
        result.innerHTML = encodeHTML(msg);
        panel.appendChild(result);
    }
    window.test = function (item, arg) {
        var itemPanel = window.document.createElement("div");
        itemPanel.innerHTML = "<p>" + encodeHTML(item) + "</p>";
        trp.appendChild(itemPanel);
        var msgPanel = window.document.createElement("div");
        itemPanel.appendChild(msgPanel);
        if (typeof (arg) == "boolean") {
        }
        else if (typeof (arg) == "function") {
            try {
                arg = arg(function (msg) {
                    writeResult(msgPanel, msg);
                });
            } catch (e) {
                arg = false;
                writeResult(msgPanel, e);
            }
        }
        writeResult(msgPanel, arg ? "成功" : "失败");
        if (arg) {
            itemPanel.style["background"] = "#0f0";
        }
        else {
            itemPanel.style["background"] = "#f00";
        }
    };
})(window, window.document.body);